#ifdef _MSC_VER
    #define _USE_MATH_DEFINES
#endif

#include <stdio.h>
#include <tgmath.h>

#define DEG_TO_RAD(x) ((x) * M_PI / 180.0)

int
main (int argc, char **argv)
{
	double angle, angle_rad;
	double sin_a, cos_a, tan_a;

	if (argc != 2)
	{
		printf ("Input the angle: ");
		scanf ("%lf", &angle);
	}
	else
		sscanf (argv[1], "%lf", &angle);

	angle_rad = DEG_TO_RAD (angle);

	sin_a = sin (angle_rad);
	cos_a = cos (angle_rad);
	tan_a = tan (angle_rad);

	printf ("sin (%f) = %f\n", angle, sin_a);
	printf ("cos (%f) = %f\n", angle, cos_a);
	printf ("tan (%f) = %f\n", angle, tan_a);

	return 0;
}
